Subject: bug#36828: 27.0.50; Uninstalled emacs shows installed documentation

From: Óscar Fuentes <[email-masked]>
Date: Mon, 28 Oct 2019 20:40:03 +0100

Eli Zaretskii <[email-masked]> writes:

>> Once we know that we are running a non-installed emacs, detecting that
>> it is an out-of-source build seems quite easy, because the build
>> directory contains build artifacts without the sources.
>
> Yes.  But how to detect that we are running non-installed?

Checking for the presence of the "Makefile" file using the same method
we use for "NEWS".

> I'm not arguing against finding a solution to this particular
> situation.  So if you can work on a patch to detect it, please do.
> I'm just saying that the change cannot unconditionally prefer the
> files from the source tree, because an installed binary shouldn't do
> that, it should use the files that are part of its installation.

Agreed.